# setup.h File Reference

## Functions
void | Set_Program_Directory (const char *argv0, char *Program_Dir)
void | Set_Data_Directory (const char *Program_Dir, char *Data_Dir)
void | Set_Config_Directory (const char *Program_Dir, char *Config_Dir)

## Function Documentation

void Set_Program_Directory | ( | const char * | argv0,
|  | char * | Program_Dir |
| ) |  |  |

void Set_Data_Directory | ( | const char * | Program_Dir,
|  | char * | Data_Dir |
| ) |  |  |

Referenced by Initialisation_du_programme(), and main().

void Set_Config_Directory | ( | const char * | Program_Dir,
|  | char * | Config_Dir |
| ) |  |  |

References Create_ConfigDirectory(), Fichier_existe(), Repertoire_existe(), SEPARATEUR_CHEMIN, and TAILLE_CHEMIN_FICHIER.

Referenced by Initialisation_du_programme(), and main().